Workflow
Update a workflow
PATCH
/
workflows
/
{id}
Update a workflow
curl --request PATCH \
--url https://api.reelevant.com/v2/workflows/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"resourceGroupIds": [
"<string>"
],
"variableProfileId": "<string>",
"hierarchy": [
"<string>"
],
"hidden": true,
"metadata": {},
"analyzeOverrides": {
"vertexIndividualizedScore": {},
"customVertexNames": [
{
"vertexId": "<string>",
"name": "<string>"
}
],
"branchCategoryIds": {},
"branchTags": [
{
"tagKeyId": "<string>",
"tagValueId": "<string>",
"branchId": "<string>"
}
]
},
"changeDescription": "<string>"
}
'import requests
url = "https://api.reelevant.com/v2/workflows/{id}"
payload = {
"name": "<string>",
"description": "<string>",
"resourceGroupIds": ["<string>"],
"variableProfileId": "<string>",
"hierarchy": ["<string>"],
"hidden": True,
"metadata": {},
"analyzeOverrides": {
"vertexIndividualizedScore": {},
"customVertexNames": [
{
"vertexId": "<string>",
"name": "<string>"
}
],
"branchCategoryIds": {},
"branchTags": [
{
"tagKeyId": "<string>",
"tagValueId": "<string>",
"branchId": "<string>"
}
]
},
"changeDescription": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
resourceGroupIds: ['<string>'],
variableProfileId: '<string>',
hierarchy: ['<string>'],
hidden: true,
metadata: {},
analyzeOverrides: {
vertexIndividualizedScore: {},
customVertexNames: [{vertexId: '<string>', name: '<string>'}],
branchCategoryIds: {},
branchTags: [{tagKeyId: '<string>', tagValueId: '<string>', branchId: '<string>'}]
},
changeDescription: '<string>'
})
};
fetch('https://api.reelevant.com/v2/workflows/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"program": "<string>",
"version": "<string>",
"datetime": "<string>",
"message": "<string>",
"data": {
"_id": "<string>",
"name": "<string>",
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"hierarchy": [
"<string>"
],
"archivedAt": "2023-11-07T05:31:56Z",
"hidden": true,
"integrations": [
{
"type": "web",
"id": "<string>",
"workflowId": "<string>",
"shortId": "<string>",
"domain": "<string>",
"enabled": true,
"includeContext": true,
"includeDatalayerPath": [
"<string>"
],
"waitForEvents": [
"<string>"
],
"filters": {
"type": "and",
"conditions": [
{
"operator": "empty",
"field": "<string>",
"values": [
"<string>"
]
}
]
},
"code": "<string>",
"selector": "<string>",
"emplacement": "replace"
}
],
"companyId": "<string>",
"resourceGroupIds": [
"<string>"
],
"versions": [
{
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"definition": {
"nodes": {},
"entrypoints": {},
"edges": {}
},
"analyze": {
"entrypointsByBranches": [
{
"branch": "<string>",
"entrypointIds": [
"<string>"
]
}
],
"branches": [
"<string>"
],
"individualizedBranches": [
"<string>"
],
"branchesScore": {},
"defaultBranches": [
"<string>"
],
"usedDatasourceFields": {},
"branchesInfos": {},
"entrypointsPerDataNodeId": {},
"entrypointsPerPathId": {},
"entrypointTypes": [
"<string>"
],
"entrypointFormats": [
"<string>"
],
"categoryIdByBranch": {},
"branchTags": [
{
"tagKeyId": "<string>",
"tagValueId": "<string>",
"branchId": "<string>"
}
],
"outputsForEntrypoint": {},
"datasForEntrypoint": {}
},
"metadata": {},
"analyzeOverrides": {
"vertexIndividualizedScore": {},
"customVertexNames": [
{
"vertexId": "<string>",
"name": "<string>"
}
],
"branchCategoryIds": {},
"branchTags": [
{
"tagKeyId": "<string>",
"tagValueId": "<string>",
"branchId": "<string>"
}
]
},
"lastSavedBy": "<string>",
"changeDescription": "<string>",
"complexityScore": 123
}
],
"description": "<string>",
"variableProfileId": "<string>"
},
"code": 123
}{
"program": "<string>",
"version": "<string>",
"datetime": "<string>",
"status": "fail",
"code": 123,
"message": "<string>",
"data": {
"id": "<string>"
},
"error_code": 123
}{
"program": "<string>",
"version": "<string>",
"datetime": "<string>",
"status": "fail",
"code": 123,
"message": "<string>",
"data": {
"id": "<string>"
},
"error_code": 123
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Pattern:
^[0-9a-fA-F]{24}$Body
application/json
Variable profile id let frontend pre-select profile
This is used by the frontend to store their metadata (node positions...) like: { : { position: { x: ..., y: ... } } }
Show child attributes
Show child attributes
Workflow definition
Show child attributes
Show child attributes
Overrides configuration for the analyze
Show child attributes
Show child attributes
Description of whats have been changed by this version
Was this page helpful?
⌘I
Update a workflow
